ticker_log {rbokeh} | R Documentation

## Generate ticks on a log scale.

### Description

Generate ticks on a log scale.

### Usage

    ticker_log(base = 10, min_interval = 0, max_interval = NULL,
      mantissas = list(1, 5), desired_num_ticks = 6, num_minor_ticks = 5,
      clear = FALSE)

### Arguments

`base` | The multiplier to use for scaling mantissas.
`min_interval` | The smallest allowable interval between two adjacent ticks.
`max_interval` | The largest allowable interval between two adjacent ticks. Note: To specify an unbounded interval, set to `NULL`.
`mantissas` | The acceptable list numbers to generate multiples of.
`desired_num_ticks` | A desired target number of major tick positions to generate across the plot range. Note: This value is a suggestion, and ticker subclasses may ignore it entirely, or use it only as an ideal goal to approach as well as can be, in the context of a specific ticking strategy.
`num_minor_ticks` | The number of minor tick positions to generate between adjacent major tick values.
`clear` | A logical indicating whether all non-specified parameters should be cleared out of any exising specification in the figure. This can be useful when modifying a previously-defined figure.

### Value

A specification that is used as the `ticker` argument for `x_axis` or `y_axis`.

### Examples

    figure() %>%
      ly_points(rexp(100, rate = 1 / 100), rnorm(100)) %>%
      x_axis(ticker = ticker_log(base = 2))

[Package rbokeh version 0.6.3 Index]